This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 106688 - add screenshot ability to firstboot
add screenshot ability to firstboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-09 12:40 EDT by James Laska
Modified: 2013-09-02 01:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 11:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2003-10-09 12:40:13 EDT
Might be a good feature to be able to take screenshots during firstboot.  Of
course it is possible with some console magic...but thought it would be good to
mimic the anaconda behavior.  In fact...I was hoping it would be as simple as:

from gui import takeScreenShot

and then add an event handler for <shift>prtscrn.

I'm guessing we would want to put these in /tmp.

Thoughts, comments, criticisms?
Comment 1 Brent Fox 2003-12-17 11:33:24 EST
Implemented in CVS head.  Either pressing <Shift><PrintScr> or passing
in '--autoscreenshot' on the command line will create screenshots in
/tmp/firstboot-screenshots/

Note You need to log in before you can comment on or make changes to this bug.